package com.bocloud.nms.model.veeam.job;

public class BackupJobStorageModel {

    private String backupRepositoryId; //备份存储的id
    private BackupProxiesSettingsModel backupProxies;
    private BackupJobRetentionPolicySettingsModel retentionPolicy;
    private GFSPolicySettingsModel gfsPolicy;
    private BackupJobAdvancedSettingsModel advancedSettings;

    public String getBackupRepositoryId() {
        return backupRepositoryId;
    }

    public void setBackupRepositoryId(String backupRepositoryId) {
        this.backupRepositoryId = backupRepositoryId;
    }

    public BackupProxiesSettingsModel getBackupProxies() {
        return backupProxies;
    }

    public void setBackupProxies(BackupProxiesSettingsModel backupProxies) {
        this.backupProxies = backupProxies;
    }

    public BackupJobRetentionPolicySettingsModel getRetentionPolicy() {
        return retentionPolicy;
    }

    public void setRetentionPolicy(BackupJobRetentionPolicySettingsModel retentionPolicy) {
        this.retentionPolicy = retentionPolicy;
    }

    public GFSPolicySettingsModel getGfsPolicy() {
        return gfsPolicy;
    }

    public void setGfsPolicy(GFSPolicySettingsModel gfsPolicy) {
        this.gfsPolicy = gfsPolicy;
    }

    public BackupJobAdvancedSettingsModel getAdvancedSettings() {
        return advancedSettings;
    }

    public void setAdvancedSettings(BackupJobAdvancedSettingsModel advancedSettings) {
        this.advancedSettings = advancedSettings;
    }

    @Override public String toString() {
        return "BackupJobStorageModel{" + "backupRepositoryId='" + backupRepositoryId + '\'' + ", backupProxies="
            + backupProxies + ", retentionPolicy=" + retentionPolicy + ", gfsPolicy=" + gfsPolicy
            + ", advancedSettings=" + advancedSettings + '}';
    }
}
